## gedit-utils

gedit-utils

## Functions

gboolean | gedit_utils_menu_position_under_tree_view ()
gchar * | gedit_utils_basename_for_display ()
gchar ** | gedit_utils_drop_get_uris ()
GtkSourceCompressionType | gedit_utils_get_compression_type_from_content_type ()
gboolean | gedit_utils_is_valid_location ()
gchar * | gedit_utils_set_direct_save_filename ()
const gchar * | gedit_utils_newline_type_to_string ()

## Description

## Functions

### gedit_utils_menu_position_under_tree_view ()

    gboolean
    gedit_utils_menu_position_under_tree_view
                                   (GtkTreeView *tree_view,
                                    GdkRectangle *rect);

### gedit_utils_basename_for_display ()

    gchar *
    gedit_utils_basename_for_display (GFile *location);

#### Parameters

location | location for which the basename should be displayed |

#### Returns

the basename of a file suitable for display to users.

[transfer full]

### gedit_utils_drop_get_uris ()

    gchar **
    gedit_utils_drop_get_uris (GtkSelectionData *selection_data);

Create a list of valid uri's from a uri-list drop.

#### Parameters

selection_data | the GtkSelectionData from drag_data_received |

#### Returns

a string array which will hold the uris or `NULL` if there were no valid uris. g_strfreev should be used when the string array is no longer used.

[transfer full]

### gedit_utils_get_compression_type_from_content_type ()

    GtkSourceCompressionType
    gedit_utils_get_compression_type_from_content_type
                                   (const gchar *content_type);

### gedit_utils_is_valid_location ()

    gboolean
    gedit_utils_is_valid_location (GFile *location);

### gedit_utils_set_direct_save_filename ()

    gchar *
    gedit_utils_set_direct_save_filename (GdkDragContext *context);

### gedit_utils_newline_type_to_string ()

    const gchar *
    gedit_utils_newline_type_to_string (GtkSourceNewlineType newline_type);